@inline function _get_all_words()
    result = Vector{String}(undef, 0)
    filename = "/usr/share/dict/words"
    contents = read(filename, String)
    lines = split(contents, '\n')
    for line in lines
        word = strip(line)
        if length(word) > 0
            push!(result, word)
        end
    end
    unique!(result)
    sort!(result)
    return result
end

@inline function _is_not_capitalized(word::AbstractString)
    return length(word) > 0 &&  islowercase(word[1])
end

@inline function _get_non_capitalized_words()
    words = _get_all_words()
    filter!(_is_not_capitalized, words)
    unique!(words)
    sort!(words)
    return words
end
