import StatsBase

@inline function _compute_multitiplicities(v::AbstractVector{T})::Dict{T, Int} where T
    return StatsBase.countmap(v)
end

@inline function _issubset_check_multiplicity(a::AbstractVector{T}, b::AbstractVector{T})::Bool where T
    if a ⊆ b && length(a) <= length(b)
        multiplicities_a::Dict{T, Int} = _compute_multitiplicities(a)::Dict{T, Int}
        multiplicities_b::Dict{T, Int} = _compute_multitiplicities(b)::Dict{T, Int}
        for (value, multiplicity_a) in multiplicities_a
            multiplicity_b = multiplicities_b[value]
            if multiplicity_a > multiplicity_b
                return false
            end
        end
        return true
    else
        return false
    end
end
