@inline function letters(input_letters::AbstractString,
                         min_length::Integer = 3)
    return letters(collect(input_letters), min_length)
end

@inline function letters(input_letters::AbstractVector{<:AbstractChar},
                         min_length::Integer = 3)
    _input_letters = convert(Vector{Char}, sort(lowercase.(input_letters)))
    result = Vector{String}(undef, 0)
    for (word_chars, word) in _read_word_cache()
        if length(word) >= min_length
            if _issubset_check_multiplicity(word_chars, _input_letters)
                @debug("Found word: $(word)")
                push!(result, word)
            end
        end
    end
    unique!(result)
    sort!(result; lt = _my_custom_string_sort)
    return result
end
